Language

Order View Subscription

In order to get access to the full OneAtlas Data capabilities such as stream data in full resolution, download products processed with your own production option or obtain a change detection report on your AOI, you will have to purchase specific product or services. This guide will provide you all the information needed to do so.

Prerequisites

If you haven’t already, see our Authentication Guide for information on how to acquire and use an API key and generate tokens to access to our endpoints.

Order a View Subscription

Ordering a view subscription will allow you to stream the OneAtlas Data Living Library in full resolution (see our View Guide for more details). We have several plans available to suit your needs. If you require more information on our plans and pricing, please do not hesitate to contact us.

Description

A view subscription works as a pay-per-use mode. Each month, the user will get the right to consume (view) a given amount of tiles. The quantity of allowed tiles depends on the streaming plan subscribed. Once the number of tiles allowed will be consumed, the user will not be authorized to stream any more tiles until the beginning of next month (if the subscription has not reached its end of validity). However, if a user does not consume all the tiles view, then all the remaining tiles would be lost.

Calculate a View Subscription Price

Four streaming plans are available for a duration of 12 months:

Streaming plan nameDescription
discoverIncludes the right to stream 50,000 tiles per month
starterIncludes the right to stream 200,000 tiles per month
standardIncludes the right to stream 500,000 tiles per month
advancedIncludes the right to stream 1,500,000 tiles per month

A payment for the 12 months will be charged at the beginning of your contract.


The endpoint to use to get a price for a view subscription is:

API Endpoint/api/v1/prices
REST verbPOST
AuthenticationJWT Token
API ReferenceOrder API

The only and mandatory parameter is a JSON structure having the form:

{
  "kind": "order.subscription.streaming",  
  "subscription": {
    "type": "view",
    "streamingPlan": "discover",
    "license":"commercial"
  }
}

The streamingPlan should be replaced by the values describing the characteristics of the subscription for which you want to calculate price. Below is an example of the call:

curl -X POST "https://data.api.oneatlas.airbus.com/api/v1/prices" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -H "Cache-Control: no-cache" -d '{
  "kind": "order.subscription.streaming",  
  "subscription": {
    "type": "view",
    "streamingPlan": "discover",
    "license":"commercial"
  }
}'
var data = JSON.stringify({
  "kind": "order.subscription.streaming",  
  "subscription": {
    "type": "view",
    "streamingPlan": "discover",
    "license":"commercial"
  }
}
});

var xhr = new XMLHttpRequest();
xhr.withCredentials = false;

xhr.addEventListener("readystatechange", function () {
  if (this.readyState === 4) {
    console.log(this.responseText);
  }
});

xhr.open("POST", "https://data.api.oneatlas.airbus.com/api/v1/prices");
xhr.setRequestHeader("Authorization", "Bearer <access_token>");
xhr.setRequestHeader("Content-Type", "application/json");
xhr.setRequestHeader("Cache-Control", "no-cache");

xhr.send(data);
Not available.

Here you can see the response:

{
    "_links": {
        "license": {
            "href": "https://url_streaming_commercial_license"
        }
    },
    "payload": {
        "kind": "order.subscription.streaming",
        "subscription": {
            "type": "view",
            "streamingPlan": "discover",
            "license": "commercial"
        }
    },
    "price": {
        "atOrderCredits": 1800
    },
    "feasibility": "automatic"
}

The response provides information regarding the pricing itself:

PricingDescription
atOrderCreditsNumber of credits that will be decrease from the customer accounts at the ordering

Place a View Subscription Order

Once you calculated the price of a subscription, you can then place your order. If you are ready to proceed, then the following endpoint must be used:

API Endpoint/api/v1/orders
REST verbPOST
AuthenticationJWT Token
API ReferenceOrder API

The only and mandatory parameter is a JSON structure having the form:

{
  "kind": "order.subscription.streaming",  
  "subscription": {
    "type": "view",
    "streamingPlan": "discover",
    "license":"commercial"
  }
}

This structure is almost the same that the one used to calculate the price. The only difference is the additional parameter startedAt which indicated when the subscription is supposed to start. Below is an example of the call:

curl -X POST "https://data.api.oneatlas.airbus.com/api/v1/orders" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -H "Cache-Control: no-cache" \
  -d '{
    "kind": "order.subscription.streaming",  
    "subscription": {
    "type": "view",
      "streamingPlan": "discover",
      "license":"commercial"
  }
}'
var data = JSON.stringify({
  "kind": "order.subscription.streaming",  
  "subscription": {
  "type": "view",
    "streamingPlan": "discover",
    "license":"commercial"
  }
});

var xhr = new XMLHttpRequest();
xhr.withCredentials = false;

xhr.addEventListener("readystatechange", function () {
  if (this.readyState === 4) {
    console.log(this.responseText);
  }
});

xhr.open("POST", "https://data.api.oneatlas.airbus.com/api/v1/orders");
xhr.setRequestHeader("Authorization", "Bearer <access_token>");
xhr.setRequestHeader("Content-Type", "application/json");
xhr.setRequestHeader("Cache-Control", "no-cache");

xhr.send(data);
Not available.

And the associated response:

{
  "id": "be1d39f4-35be-488a-b314-53bdc5da6d01",
  "_links": {
    "self": {
      "href": "https://data.api.oneatlas.airbus.com/api/v1/orders/be1d39f4-35be-488a-b314-53bdc5da6d01"
    },
    "payments": {
      "href": "https://data.api.oneatlas.airbus.com/api/v1/contracts/2489b1aa-7d03-44d3-ae1e-003d654196f9/orders/be1d39f4-35be-488a-b314-53bdc5da6d01/payments"
    }
  },
  "kind": "order.subscription.streaming",
  "createdAt": "2018-06-18T13:23:12.291993+00:00",
  "userId": "0de42279-7784-4c09-6b89-7688efd1ebed",
  "status": "delivered",
  "contractId": "2489b1aa-7d03-44d3-ae1e-003d654196f9",
  "payload": {
    "kind": "order.subscription.streaming",  
    "subscription": {
    "type": "view",
      "streamingPlan": "discover",
      "license":"commercial"
    }
  }
}
Contact Us